# octavia.cmd package

## Submodules

## octavia.cmd.agent module

class AmphoraAgent(app, options=None)

  Bases: `gunicorn.app.base.BaseApplication`

  load()
  load_config()

    This method is used to load the configuration from one or several input(s). Custom Command line, configuration file. You have to override this method in your class.

main()

## octavia.cmd.api module

main()

## octavia.cmd.driver_agent module

main()

## octavia.cmd.haproxy_vrrp_check module

get_status(sock_address)

  Query haproxy stat socket

  Only VRRP fail over if the stats socket is not responding.

  Parameters

    sock_address – unix socket file

  Returns

    0 if haproxy responded

health_check(sock_addresses)

  Invoke queries for all defined listeners

  Parameters

    sock_addresses –

  Returns

main()

## octavia.cmd.health_checker module

crc32c(data)

main()

sctp_health_check(ip_address, port, timeout=2)

## octavia.cmd.health_manager module

hm_health_check(exit_event)

hm_listener(exit_event)

main()

## octavia.cmd.house_keeping module

cert_rotation()

  Perform certificate rotation.

db_cleanup()

  Perform db cleanup for old resources.

main()

## octavia.cmd.interface module

exception InterfaceException(*args, **kwargs)

  Bases: `octavia.common.exceptions.OctaviaException`

  message = 'Could not configure interface: %(msg)s'

interface_cmd(interface_name, action)

interfaces_find(interface_controller, name)

interfaces_update(interfaces, action_fn, action_str)

main()

## octavia.cmd.octavia_worker module

main()

## octavia.cmd.prometheus_proxy module

class PrometheusProxy(*args, directory=None, **kwargs)

  Bases: `http.server.SimpleHTTPRequestHandler`

  do_GET()

    Serve a GET request.

  log_request(*args, **kwargs)

    Log an accepted request.

    This is called by send_response().

  protocol_version = 'HTTP/1.1'

class SignalHandler

  Bases: `object`

  shutdown(*args)

class ThreadedHTTPServer(server_address, RequestHandlerClass, bind_and_activate=True)

  Bases: `socketserver.ThreadingMixIn`, `http.server.HTTPServer`

  daemon_threads = True

main()

shutdown_thread(http)

## octavia.cmd.status module

class Checks

  Bases: `oslo_upgradecheck.upgradecheck.UpgradeCommands`

  Contains upgrade checks

  Various upgrade checks should be added as separate methods in this class and added to _upgrade_checks tuple.

main()

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug